#include <Application.h>
#include <GroupView.h>
#include <GroupLayoutBuilder.h>
#include <StringView.h>
#include <Window.h>

#include <stdio.h>

class App : public BApplication {
public:
					App(void);
};

class TestView : public BGroupView {
public:
	virtual void	MouseDown(BPoint point) {
		printf("MouseDown\n");
	}
	virtual void	MouseUp(BPoint point) {
		printf("MouseUp\n");
	}

	virtual void	MouseMoved(BPoint point, uint32 ,
						const BMessage* message) {
		printf("MouseMoved\n");
	}
};

App::App(void)
	:
	BApplication("application/x-vnd.dw-TestApp")
{
	BWindow* mainwin = new BWindow(BRect(300,300,300,300),
		"caput", B_TITLED_WINDOW, 0);
	
	TestView* view = new TestView();
	mainwin->SetLayout(view->GroupLayout());

	BGroupLayoutBuilder(view)
		.AddGroup(B_HORIZONTAL, 0.5f)
			.Add(new BStringView("", "looks like a test"))
		.End()
			.Add(new BStringView("", "shagadelic"))
		.AddGroup(B_HORIZONTAL, 0)
			.Add(new BStringView("", "testam"))
		.End()
	.End();

	mainwin->Show();
}


int
main(void)
{
	App *app = new App();
	app->Run();
	delete app;
	return 0;
}
